# This file generated by make-makefile, do not edit!
# Create Makefile-include.txt instead for your customizations.
CC := gcc
CFLAGS := -Wall -Werror -g -fmax-errors=99 -Wuninitialized -Wmissing-prototypes -Wredundant-decls
LIBS :=

.PHONY: all
all:
	make  dis-test.exe earth-test.exe xdr-test.exe xdr_dis-stress-test.exe xdr_dis-test.exe

include Makefile-include.txt

.PHONY: test
test: dis-test.exe earth-test.exe xdr-test.exe xdr_dis-stress-test.exe xdr_dis-test.exe
	./dis-test.exe
	./earth-test.exe
	./xdr-test.exe
	./xdr_dis-stress-test.exe
	./xdr_dis-test.exe


.PHONY: clean
clean:
	rm -f *.o *.exe *.stackdump dis-test earth-test xdr-test xdr_dis-stress-test xdr_dis-test

dis-test.o: dis-test.c ../../../src/V/Vlibmath.h ../../../src/dis/dis/dis.h ../../../src/dis/dis/earth.h
	$(CC) $(CFLAGS) -c dis-test.c -o dis-test.o

dis-test.exe: ../../../src/V/Vlibmath.o ../../../src/dis/dis/datum.o ../../../src/dis/dis/dis.o ../../../src/dis/dis/earth.o ../../../src/dis/dis/xdr.o ../../../src/dis/dis/xdr_dis.o ../../../src/util/error.o ../../../src/util/memory.o ../../../src/util/units.o dis-test.o
	$(CC) $(CFLAGS) -o dis-test.exe  ../../../src/V/Vlibmath.o ../../../src/dis/dis/datum.o ../../../src/dis/dis/dis.o ../../../src/dis/dis/earth.o ../../../src/dis/dis/xdr.o ../../../src/dis/dis/xdr_dis.o ../../../src/util/error.o ../../../src/util/memory.o ../../../src/util/units.o dis-test.o $(LIBS) -lm 

earth-test.o: earth-test.c ../../../src/dis/dis/earth.h ../../../src/util/memory.h ../../../src/util/units.h
	$(CC) $(CFLAGS) -c earth-test.c -o earth-test.o

earth-test.exe: ../../../src/dis/dis/earth.o ../../../src/util/error.o ../../../src/util/memory.o ../../../src/util/units.o earth-test.o
	$(CC) $(CFLAGS) -o earth-test.exe  ../../../src/dis/dis/earth.o ../../../src/util/error.o ../../../src/util/memory.o ../../../src/util/units.o earth-test.o $(LIBS) -lm 

xdr-test.o: xdr-test.c ../../../src/dis/dis/xdr.h ../../../src/util/memory.h
	$(CC) $(CFLAGS) -c xdr-test.c -o xdr-test.o

xdr-test.exe: ../../../src/dis/dis/xdr.o ../../../src/util/error.o ../../../src/util/memory.o xdr-test.o
	$(CC) $(CFLAGS) -o xdr-test.exe  ../../../src/dis/dis/xdr.o ../../../src/util/error.o ../../../src/util/memory.o xdr-test.o $(LIBS) 

xdr_dis-stress-test.o: xdr_dis-stress-test.c ../../../src/V/Vlibmath.h ../../../src/dis/dis/datum.h ../../../src/dis/dis/dis.h ../../../src/dis/dis/earth.h ../../../src/dis/dis/xdr.h ../../../src/dis/dis/xdr_dis.h ../../../src/util/error.h ../../../src/util/memory.h ../../../src/util/prng.h
	$(CC) $(CFLAGS) -c xdr_dis-stress-test.c -o xdr_dis-stress-test.o

xdr_dis-stress-test.exe: ../../../src/V/Vlibmath.o ../../../src/dis/dis/datum.o ../../../src/dis/dis/dis.o ../../../src/dis/dis/earth.o ../../../src/dis/dis/xdr.o ../../../src/dis/dis/xdr_dis.o ../../../src/util/error.o ../../../src/util/memory.o ../../../src/util/prng.o ../../../src/util/units.o xdr_dis-stress-test.o
	$(CC) $(CFLAGS) -o xdr_dis-stress-test.exe  ../../../src/V/Vlibmath.o ../../../src/dis/dis/datum.o ../../../src/dis/dis/dis.o ../../../src/dis/dis/earth.o ../../../src/dis/dis/xdr.o ../../../src/dis/dis/xdr_dis.o ../../../src/util/error.o ../../../src/util/memory.o ../../../src/util/prng.o ../../../src/util/units.o xdr_dis-stress-test.o $(LIBS) -lm 

xdr_dis-test.o: xdr_dis-test.c ../../../src/V/Vlibmath.h ../../../src/dis/dis/datum.h ../../../src/dis/dis/dis.h ../../../src/dis/dis/earth.h ../../../src/dis/dis/xdr.h ../../../src/dis/dis/xdr_dis.h ../../../src/util/error.h ../../../src/util/memory.h
	$(CC) $(CFLAGS) -c xdr_dis-test.c -o xdr_dis-test.o

xdr_dis-test.exe: ../../../src/V/Vlibmath.o ../../../src/dis/dis/datum.o ../../../src/dis/dis/dis.o ../../../src/dis/dis/earth.o ../../../src/dis/dis/xdr.o ../../../src/dis/dis/xdr_dis.o ../../../src/util/error.o ../../../src/util/memory.o ../../../src/util/units.o xdr_dis-test.o
	$(CC) $(CFLAGS) -o xdr_dis-test.exe  ../../../src/V/Vlibmath.o ../../../src/dis/dis/datum.o ../../../src/dis/dis/dis.o ../../../src/dis/dis/earth.o ../../../src/dis/dis/xdr.o ../../../src/dis/dis/xdr_dis.o ../../../src/util/error.o ../../../src/util/memory.o ../../../src/util/units.o xdr_dis-test.o $(LIBS) -lm 

# Checksum of the original file: 2750412422
